Subject: bug#60399: closed (Re: bug#60399: 30.0.50; Usage of `isearch-open-invisible-temporary' is not documented)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 01 Jan 2023 09:06:02 +0000

Your bug report

#60399: 30.0.50; Usage of `isearch-open-invisible-temporary' is not documented

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
60399: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60399
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#60399: 30.0.50; Usage of `isearch-open-invisible-temporary' is not documented
From: Eli Zaretskii <[email-masked]>
To: Ihor Radchenko <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 01 Jan 2023 11:05:08 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked]
> From: Ihor Radchenko <[email-masked]>
> Date: Sat, 31 Dec 2022 13:03:11 +0000
> 
> Juri Linkov <[email-masked]> writes:
> 
> >>       ;; Some modes would want to open the overlays temporary during
> >>       ;; isearch in their own way, they should set the
> >>       ;; `isearch-open-invisible-temporary' to a function doing this.
> >>       (funcall  (overlay-get ov 'isearch-open-invisible-temporary)  ov nil)
> >>
> >> However, it appears that deleting the passed overlay is, in fact,
> >> prohibited. (manifested in
> >> https://orgmode.org/list/[email-masked])
> >>
> >> Is there some detailed information about this feature available somewhere?
> >
> > I don't know about this function more than you can read from source code,
> > but can find two mentions in (info "(elisp) Invisible Text") and
> > (info "(elisp) Overlay Properties").
> 
> Manual provides no more information.
> 
> Would it make sense to mention that overlays passed as an argument of
> 'isearch-open-invisible-temporary function must not be destroyed?

I've now added a warning to this effect to the comments in
isearch-open-overlay-temporary, and I'm therefore closing this bug.

Subject: 30.0.50; Usage of `isearch-open-invisible-temporary' is not documented
From: Ihor Radchenko <[email-masked]>
To: [email-masked]
Date: Thu, 29 Dec 2022 10:10:01 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

According to isearch.el source, one can use
`isearch-open-invisible-temporary' to implement custom hidden text
display during isearch. However, it is unclear what are the requirements
for that function.

>From isearch source code, it appears that the function should accept two
arguments: overlays and a flag to open/close the overlay:

      ;; Some modes would want to open the overlays temporary during
      ;; isearch in their own way, they should set the
      ;; `isearch-open-invisible-temporary' to a function doing this.
      (funcall  (overlay-get ov 'isearch-open-invisible-temporary)  ov nil)

However, it appears that deleting the passed overlay is, in fact,
prohibited. (manifested in
https://orgmode.org/list/[email-masked])

Is there some detailed information about this feature available somewhere?

Best,
Ihor

In GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
 3.24.35, cairo version 1.17.6) of 2022-12-26 built on localhost
Repository revision: cc29fab3a66c59e77d0ff67c0f3e2e34ec80a03c
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101004
System Description: Gentoo Linux

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>